WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Acrobat Reader 8.1.5  (Read 4523 times)

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Acrobat Reader 8.1.5
« on: September 26, 2009, 06:43:49 PM »
This will fetch and install Acrobat Reader.  It creates the browser plugin for Firefox and Shiretoko.

Code: [Select]
#!/bin/sh
# To fetch and build an Acrobat Reader extension.  It is far
# preferable to change the "$SRCDIR" variable to a mounted storage
# device as this will take gobs of RAM.

# Taken from the Arch Linux pkgbuild.

if [ "$USER" == "root" ]; then
echo "Do not need to run as root.  Exiting.."
exit 1
fi

if [ ! -f /usr/local/tce.installed/glibc_gconv ]; then
echo "Install glibc_gconv.tcz before proceeding."
exit 1
fi

if [ ! -f /usr/local/tce.installed/gtk2 ]; then
echo "Install gtk2.tcz before proceeding."
exit 1
fi

if [ ! -f /usr/local/tce.installed/libcups ]; then
echo "Install libcups.tcz before proceeding."
exit 1
fi

if [ ! -f /usr/local/tce.installed/squashfs-tools-4.x ]; then
echo "Install squashfs-tools-4.x.tcz before proceeding."
exit 1
fi

NAME=acroread
VERSION=8.1.6
DOWNLOAD=ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/"$VERSION"/enu/
SOURCE=AdobeReader_enu-"$VERSION"-1.i486.tar.bz2
MD5SUM=e6bad42cdcb93860b6ecb31b0e49169e
SRCDIR=/mnt/sda1/acroread123
TMPDIR="$SRCDIR"/"$NAME"21654
PKG="$TMPDIR"/pkg
TCEDIR="`cat /opt/.tce_dir`/optional"


if [ ! -d "$PKG" ]; then
sudo mkdir -p "$PKG"
sudo chown -R tc:staff "$SRCDIR"
fi



cd "$SRCDIR"
if [ -e "$SOURCE" ]; then
  if [ $(md5sum "$SOURCE" | cut -c1-32) != "$MD5SUM" ]; then
    sudo rm -r "$SOURCE"
  fi
fi
if [ ! -e "$SOURCE" ]; then
  wget -c "$DOWNLOAD"/"$SOURCE"
fi
if [ $(md5sum "$SOURCE" | cut -c1-32) = "$MD5SUM" ]; then
  echo "md5sum passed."
else
  echo "Download failed. aborting"
  exit 1;
fi


tar xjvf "$SOURCE"


  cd "$SRCDIR"/AdobeReader
  tar -xf COMMON.TAR
  tar -xf ILINXR.TAR
  cd Adobe/Reader8

  mkdir -p "$PKG"/usr/local/lib/Acroread
  cp -a * "$PKG"/usr/local/lib/Acroread

  mkdir -p "$PKG"/usr/local/bin
  ln -s /usr/local/lib/Acroread/bin/acroread "$PKG"/usr/local/bin/acroread
  

  
  echo "Installing Broswer Plugin..."
  mkdir -p "$PKG"/usr/local/lib/mozilla/plugins
  
  ln -s /usr/local/lib/Acroread/Browser/intellinux/nppdf.so "$PKG"/usr/local/lib/mozilla/plugins/nppdf.so
 
 
    
  echo "Installing Icon Resource..."
  install -D -m644 Resource/Support/AdobeReader.desktop \
    "$PKG"/usr/local/share/applications/acroread.desktop
  sed -i 's|AdobeReader8.png|Acroread|' \
    "$PKG"/usr/local/share/applications/acroread.desktop
  install -D -m644 Resource/Icons/64x64/AdobeReader8.png \
    "$PKG"/usr/local/share/pixmaps/AdobeReader8.png

  
  echo "Installing License..."
  install -D -m644 Reader/Legal/en_US/License.txt \
    "$PKG"/usr/local/share/licenses/acroread/License.txt
  
  cd "$TMPDIR"
  sudo mksquashfs pkg/ "$TCEDIR"/"$NAME"-"$VERSION".tcz -noappend
  sudo rm -rf "$TMPDIR"
  cd ..
  sudo rm -rf "$SRCDIR"/AdobeReader
  echo ""$NAME"-"$VERSION".tcz is now in "$TCEDIR" ready to be installed."

« Last Edit: November 01, 2010, 03:17:56 AM by Jason W »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14096
Re: Acrobat Reader 8.1.5
« Reply #1 on: September 26, 2009, 08:26:40 PM »
Is it cups you need to install or just libcups?

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Acrobat Reader 8.1.5
« Reply #2 on: September 27, 2009, 06:29:34 PM »
Libcups is needed to run.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Acrobat Reader 8.1.5
« Reply #3 on: September 29, 2009, 05:08:50 PM »
Duh, silly me, I overlooked the libcups extension.  Thanks for pointing it out.  I will change the dependencies.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Acrobat Reader 8.1.5
« Reply #4 on: July 31, 2010, 11:41:23 AM »
Fixed tce dir path to install to optional.

Offline TheNewbie

  • WikiUser
  • *
  • Posts: 42
Re: Acrobat Reader 8.1.5
« Reply #5 on: October 14, 2010, 10:01:28 PM »
Quote from: Jason W
NAME=acroread
VERSION=8.1.6
DOWNLOAD=ftp://ftp.adobe.com/pub/adobe/reader/unix/8.x/"$VERSION"/enu/
SOURCE=AdobeReader_enu-"$VERSION"-1.i486.tar.bz2
MD5SUM=e6bad42cdcb93860b6ecb31b0e49169e
SRCDIR=/mnt/sda1/acroread123
TMPDIR="$SRCDIR"/"$NAME"21654
PKG="$TMPDIR"/pkg
TCEDIR="`cat /opt/.tce_dir`/optional"

If I change just the version, download, and md5sum variables, will it still work? (no extra dependencies or directory modifications?)

Offline dentonlt

  • Sr. Member
  • ****
  • Posts: 318
    • the trombone analog
Re: Acrobat Reader 8.1.5
« Reply #6 on: November 01, 2010, 03:01:28 AM »
Just tested with 9.4.0. It will work with many changes:

  • module names (tczl -> tcz; squashfs -> 4.x)
  • VERSION
  • DOWNLOAD
  • SOURCE
  • MD5SUM
  • icon name change to AdobeReader9.png, not 8.png
  • When installing icon resource, the Reader 9.4 desktop file no longer has an X-FullPathIcon statement, so echo one into the file.

It all works. Down side is that 9.4.0 is a 140mb extension. Pretty quick for the size, to be honest.

I'm using Evince (in repository) unless it chokes on something special.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Acrobat Reader 8.1.5
« Reply #7 on: November 01, 2010, 03:14:39 AM »
dentonlt-

Great.  Could you post your updated script?

I will fix the old one when I get a chance, but am tight on time to be able to work on an updated one.

Offline TheNewbie

  • WikiUser
  • *
  • Posts: 42
Re: Acrobat Reader 8.1.5
« Reply #8 on: November 28, 2010, 10:38:42 AM »
acroread-8.1.6 isn't compatible with TC 3.3, I think. When I try to use tce-load, it gives me "mount: mounting /dev/loop56 on /tmp/tcloop/acroread-8.1.6 failed: Invalid argument"

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Acrobat Reader 8.1.5
« Reply #9 on: November 28, 2010, 10:49:54 AM »
That sounds like an error not related to the package, but I will check it out tonight.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9730
Re: Acrobat Reader 8.1.5
« Reply #10 on: November 28, 2010, 05:44:51 PM »
The current script installs and runs fine here.  Try again, I have seen that error appear randomly on rare occasion.